Subject: Re: pci_enable_device fails on MPC8541

From: Kylo Ginsberg <[email-masked]>
Date: Tue, 9 Aug 2005 17:38:17 -0700

Bizhan,

I noticed that lspci reports SERR on the secondary side of the bridge
from bus 0 to bus 2.  Do you know what's causing SERR to be asserted?

Kylo

On 8/9/05, Bizhan Gholikhamseh (bgholikh) <[email-masked]> wrote:
> Hi Kumar,
> I am using Linux 2.6.11, u-boot 1.1.2.
> I see failure in pci_enable_device with message:
> "PCI: Device 0000:02:01.0 not available because of resource collisions"
>=20
> I have attached three files:
> lspci_output.txt: out put of the "lspci -v"
> proc_pci.txt: output of the "cat /proc/pci"
> u-boot.txt: output of the "pci command at u-boot"
>=20
> Any help greatly appreciated,
> Bizhan
> -----Original Message-----
> From: Kumar Gala [mailto:[email-masked]]
> Sent: Monday, August 08, 2005 1:34 PM
> To: Bizhan Gholikhamseh (bgholikh)
> Cc: [email-masked]
> Subject: Re: pci_enable_device fails on MPC8541
>=20
> Bizhan,
>=20
> A few questions:
>=20
> 1. what kernel version are you using on these boards:
> 2. can you do an lspci -v on the boards
>=20
> - kumar
>=20
> On Aug 8, 2005, at 1:12 PM, Bizhan Gholikhamseh \(((bgholikh\))) wrote:
>=20
> > Hi All,
> > I am using two evaluation board from freescale, 8540ADS and MPC8541.
> > The same PCI driver is being compiled and loaded on both platforms.
> > The same PCI driver (developed by me) for DSP board compiled and
> > loaded on both platforms.
> >
> > When I type: "insmod C6415.ko" on 8541 board, I get the following
> > error:
> > "PCI: Device 0000:02:01.0 not available because of resource
> > collisions"
> > This messages is because of the execution of the generic PCI Linux
> > command:
> > "pci_enable_device(pdev)"
> > The same API has no problem on 8540ADS.
> >
> >
> >> From UBOOT I can see my device is on bus 3:
> >>
> > =3D> pci 3
> > Scanning PCI devices on bus 3
> > BusDev FUN    VendorID    DeviceID    Device Class    Sub-Class
> > ----------------------------------------------------------------------
> > --
> > --------------------
> > 03.01.00            0x104c    0xa106        .........
> >
> > Any idea why the insmod fails on one board and not on the other one?
> >
> > Many thanks in advance,
> > Bizhan
> >
> > <ATT2118305.txt>
> >
>=20
>=20
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>=20
>=20
>